%global vnodot 242

Name:		ploticus
Version:	2.42
Release:	1%{?dist}
Summary:	Script driven business graphics package

#Group:		
License:	GPLv2+
URL:		http://ploticus.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/ploticus/ploticus/%vnodot/ploticus%{vnodot}_src.tar.gz
Source1:	ploticus.1

BuildRequires:	libpng-devel, freetype-devel, libjpeg-devel, libX11-devel, gd-devel

%description

Ploticus is script-driven, which makes it suitable for automated,
unattended uses, or for applications that will be run again and again.
In general, ploticus is good at making graphs like you would see in
newspapers and news magazines, business publications, journals for
medical and social sciences, and so on.

Ploticus is not a function or mathematical plotting package like
gnuplot, nor would it be a good choice for applications where
mathematical formulas or scientific notations are to be rendered as an
integral part of the data display.  Ploticus is also not intended as a
"marketing" graphics package.  Its goal is to display data crisply
without extra decoration and distracting "dingbats" that cloud the
picture.  It supports a wide range of output options.

%prep
%setup -q -n %name%vnodot


%build
cd src
make %{?_smp_mflags} NOX11= XOBJ="x11.o interact.o" XLIBS=-lX11 GD18LIBS='-lgd -lpng -lz -ljpeg -lfreetype' GDFREETYPE=-DGDFREETYPE ZFLAG=-DWZ EXE=%name plgd18


%install
rm -rf $RPM_BUILD_ROOT
install -D src/%name $RPM_BUILD_ROOT%_bindir/%name
mkdir -p $RPM_BUILD_ROOT%_datadir/%name
install -D %SOURCE1 $RPM_BUILD_ROOT%_mandir/man1/%name.1

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc src/{Copyright,GPL.txt,README} pltestsuite
%_bindir/%name
%_datadir/%name
%_mandir/man1/*


%changelog
* Wed Feb 19 2014 Dave Love <d.love@liverpool.ac.uk> - 2.42-1
- Initial packaging
